## tcl9.0 9.0.0~a1+dfsg

=== debian/changelog ===
tcl9.0 (9.0.0~a1+dfsg-1) experimental; urgency=medium

  * Initial alpha release (closes: #946670).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Dec 2019 13:42:21 +0300
