=== debian/control ===
Source: tcl9.0
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
Standards-Version: 4.4.1
Homepage: http://www.tcl.tk/
Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl9.0
Vcs-Git: https://salsa.debian.org/tcltk-team/tcl9.0.git

Package: tcl9.0
Section: interpreters
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tcl-tclreadline
Multi-Arch: foreign
Description: Tcl (the Tool Command Language) v9.0 - shell
 Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
 scripting language.  This package contains the Tcl shell which you need
 to run Tcl scripts.  This version includes thread support.

Package: libtcl9.0
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: tzdata, ${shlibs:Depends}, ${misc:Depends}
Suggests: tcl9.0
Provides: libtcl
Multi-Arch: same
Description: Tcl (the Tool Command Language) v9.0 - run-time library files
 Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
 scripting language.  This package contains the Tcl library and auxiliary
 code which allows one to run Tcl-enabled applications.  This version
 includes thread support.

Package: tcl9.0-dev
Section: libdevel
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dpkg-dev (>= 1.16.1~), zlib1g-dev, libtcl9.0 (= ${binary:Version}),
 tcl9.0, ${misc:Depends}
Suggests: tcl9.0-doc
Multi-Arch: same
Description: Tcl (the Tool Command Language) v9.0 - development files
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the headers and libraries
 needed to embed or extend Tcl.

Package: tcl9.0-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: tcl9.0
Conflicts: tcldoc
Provides: tcldoc
Description: Tcl (the Tool Command Language) v9.0 - manual pages
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the man pages for Tcl commands.
