## tcl9.0 9.0.0+dfsg

=== debian/changelog ===
tcl9.0 (9.0.0+dfsg-1) unstable; urgency=medium

  * The first upstream release.
  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2024 18:36:30 +0300

tcl9.0 (9.0.0~rc1+dfsg-2) experimental; urgency=medium

  * Fix the TCL_PACKAGE_PATH format in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Sep 2024 10:44:59 +0300

tcl9.0 (9.0.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2024 12:43:48 +0300

tcl9.0 (9.0.0~rc0+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2024 10:02:56 +0300

tcl9.0 (9.0.0~b3+dfsg-1) experimental; urgency=medium

  * New upstream beta release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Aug 2024 13:46:12 +0300

tcl9.0 (9.0.0~b2+dfsg-1) experimental; urgency=medium

  * New upstream beta release.
  * Refresh patches, remove the obsolete one.
  * Refresh the list of symbols in libtcl9.0.symbols.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 May 2024 10:36:57 +0300

tcl9.0 (9.0.0~b1+dfsg-1) experimental; urgency=medium

  * New upstream beta release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Jan 2024 11:41:46 +0300

tcl9.0 (9.0.0~b1~rc1+dfsg-1) experimental; urgency=medium

  * New upstream pre-beta release.
  * Refresh patches.
  * Refresh the list of symbols in libtcl9.0.symbols.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Dec 2023 10:30:04 +0300

tcl9.0 (9.0.0~b1~rc0+dfsg-2) experimental; urgency=medium

  * Fix build for big-endian architectures.
  * Use versioned libtclstub.a to avoid conflicts with tcl-dev
    (closes: #1056952).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2023 12:06:43 +0300

tcl9.0 (9.0.0~b1~rc0+dfsg-1) experimental; urgency=medium

  * New upstream pre-beta release.
  * Refresh the list of symbols in libtcl9.0.symbols.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Nov 2023 10:32:16 +0300

tcl9.0 (9.0.0~a3+dfsg-2) experimental; urgency=medium

  * Drop the useless menu item.
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 01 Feb 2023 12:38:25 +0300

tcl9.0 (9.0.0~a3+dfsg-1) experimental; urgency=medium

  * New upstream alpha release.
  * Refresh patches, remove no longer necessary ones.
  * Use system-wide libtommath instead of built-in one.
  * Refresh the list of symbols in libtcl9.0.symbols.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Jun 2021 08:40:45 +0300
