=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,7 @@
 	# So so ugly but it works...
 	touch generic/tclStubInit.c
 	TCL_LIBRARY="/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)" \
-	TCL_PACKAGE_PATH="/usr/local/lib/tcltk /usr/local/share/tcltk \
-			  /usr/lib/tcltk/$(DEB_HOST_MULTIARCH) /usr/lib/tcltk /usr/share/tcltk \
-			  /usr/lib/tcltk/tcl$(v) /usr/lib" \
+	TCL_PACKAGE_PATH="/usr/local/lib/tcltk:/usr/local/share/tcltk:/usr/lib/tcltk/$(DEB_HOST_MULTIARCH):/usr/lib/tcltk:/usr/share/tcltk:/usr/lib/tcltk/tcl$(v):/usr/lib" \
 	CC="$(CC)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
@@ -49,6 +47,7 @@
 		      --disable-rpath \
 		      --disable-zipfs \
 		      --without-tzdata \
+		      --with-system-libtommath \
 		      --enable-man-symlinks
 
 override_dh_auto_build:
@@ -72,9 +71,6 @@
 	    $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tm.tcl
 	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tcl9
 	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl9/*/* $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tcl9
-	# Fix up the gzipped datafile
-	gzip -d $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl9.0/cookiejar*/*.txt.gz
-	gzip -n $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl9.0/cookiejar*/*.txt
 	# Fix up the libraries
 	cp unix/libtcl$(v).a $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
@@ -130,11 +126,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v)a1-src.tar.gz | tar -zx && \
+	    https://prdownloads.sourceforge.net/tcl/tcl-core$(v).0-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).0~a1+dfsg.orig.tar.gz tcl$(v)a1 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).0+dfsg.orig.tar.gz tcl$(v).0 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
