## tcl9.0 9.0.1+dfsg

=== debian/changelog ===
tcl9.0 (9.0.1+dfsg-2) unstable; urgency=medium

  * Move the Tcl part of the libtcl9.0 package directly to /usr/lib because
    it does not depend on architecture. This also removes
    /isr/lib/$DEB_HOST_MULTIARCH from the Tcl search path which improves
    initialization time.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 25 Mar 2025 12:08:59 +0300

tcl9.0 (9.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the list of symbols in libtcl9.0.symbols.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 Jan 2025 13:28:38 +0300
