=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libtommath-dev
+Standards-Version: 4.7.0
 Homepage: http://www.tcl.tk/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl9.0
 Vcs-Git: https://salsa.debian.org/tcltk-team/tcl9.0.git
 
 Package: tcl9.0
 Section: interpreters
-Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: tcl-tclreadline
@@ -22,8 +21,6 @@
  to run Tcl scripts.  This version includes thread support.
 
 Package: libtcl9.0
-Section: libs
-Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: tzdata, ${shlibs:Depends}, ${misc:Depends}
@@ -38,10 +35,9 @@
 
 Package: tcl9.0-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: dpkg-dev (>= 1.16.1~), zlib1g-dev, libtcl9.0 (= ${binary:Version}),
+Depends: zlib1g-dev, libtcl9.0 (= ${binary:Version}),
  tcl9.0, ${misc:Depends}
 Suggests: tcl9.0-doc
 Multi-Arch: same
@@ -52,7 +48,6 @@
 
 Package: tcl9.0-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: tcl9.0
