=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 override_dh_auto_configure:
 	# So so ugly but it works...
 	touch generic/tclStubInit.c
-	TCL_LIBRARY="/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)" \
+	TCL_LIBRARY="/usr/lib/tcl$(v)" \
 	TCL_PACKAGE_PATH="/usr/local/lib/tcltk:/usr/local/share/tcltk:/usr/lib/tcltk/$(DEB_HOST_MULTIARCH):/usr/lib/tcltk:/usr/share/tcltk:/usr/lib/tcltk/tcl$(v):/usr/lib" \
 	CC="$(CC)" \
 	CFLAGS="$(CFLAGS)" \
@@ -67,10 +67,11 @@
 			TCL_MODULE_PATH="/usr/lib/tcltk /usr/share/tcltk" \
 		install
 	# Fix up the modules
-	sed -i -e's:variable paths {}:variable paths {/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tcl9}:' \
-	    $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tm.tcl
-	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tcl9
-	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl9/*/* $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tcl9
+	sed -i -e's:variable paths {}:variable paths {/usr/lib/tcl$(v)/tcl9}:' \
+	    $(DIR)/usr/lib/tcl$(v)/tm.tcl
+	install -d -m 755 $(DIR)/usr/lib/tcl$(v)/tcl9
+	mv $(DIR)/usr/lib/tcl9/*/* $(DIR)/usr/lib/tcl$(v)/tcl9
+	rm -r $(DIR)/usr/lib/tcl9
 	# Fix up the libraries
 	cp unix/libtcl$(v).a $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
@@ -78,7 +79,7 @@
 	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tcl.pc $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tcl$(v).pc
 	install -d -m 755 $(DIR)/usr/share/aclocal
 	cp unix/tcl.m4 $(DIR)/usr/share/aclocal/tcl$(v).m4
-	rm -f $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/ldAix
+	rm -f $(DIR)/usr/lib/tcl$(v)/ldAix
 	# Fix up the include files
 	install -d $(DIR)/usr/include/tcl$(v)/tcl-private/generic
 	cp generic/*.h $(DIR)/usr/include/tcl$(v)/tcl-private/generic
@@ -126,11 +127,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    https://prdownloads.sourceforge.net/tcl/tcl-core$(v).0-src.tar.gz | tar -zx && \
+	    https://prdownloads.sourceforge.net/tcl/tcl-core$(v).1-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).0+dfsg.orig.tar.gz tcl$(v).0 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).1+dfsg.orig.tar.gz tcl$(v).1 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
