## tcl9.0 9.0.2+dfsg

=== debian/changelog ===
tcl9.0 (9.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Refresh the list of symbols in libtcl9.0.symbols.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Aug 2025 09:10:25 +0300
