## tcl9.0 9.0.3+dfsg

=== debian/changelog ===
tcl9.0 (9.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Refresh the list of symbols in libtcl9.0.symbols.
  * Fix the FSF address in debian/copyright.
  * Bump version in the debian/watch uscan control file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Nov 2025 12:18:17 +0300
