=== debian/rules ===
--- 
+++ 
@@ -127,11 +127,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    https://prdownloads.sourceforge.net/tcl/tcl-core$(v).2-src.tar.gz | tar -zx && \
+	    https://prdownloads.sourceforge.net/tcl/tcl-core$(v).3-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).2+dfsg.orig.tar.gz tcl$(v).2 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).3+dfsg.orig.tar.gz tcl$(v).3 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
