=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//;s/\.0~([ab])(\d+)(?:~(rc))?/$1$2$3/ \
  http://sf.net/tcl/tcl(?:-core)?(9\.0(?:[ab]|\.)\d+(?:rc\d+)?)-src\.tar\.gz
